clang-tools 6.0.0

Classes | Namespaces | Functions | Variables
AndroidTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "CloexecAccept4Check.h"`
`#include "CloexecAcceptCheck.h"`
`#include "CloexecCreatCheck.h"`
`#include "CloexecEpollCreate1Check.h"`
`#include "CloexecEpollCreateCheck.h"`
`#include "CloexecDupCheck.h"`
`#include "CloexecFopenCheck.h"`
`#include "CloexecInotifyInit1Check.h"`
`#include "CloexecInotifyInitCheck.h"`
`#include "CloexecMemfdCreateCheck.h"`
`#include "CloexecOpenCheck.h"`
`#include "CloexecSocketCheck.h"`
Include dependency graph for AndroidTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::android::AndroidModule
| This module is for Android specific checks. More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::android

## Functions
static ClangTidyModuleRegistry::Add< AndroidModule > | clang::tidy::android::X ("android-module", "Adds Android platform checks.")

## Variables
volatile int | clang::tidy::AndroidModuleAnchorSource = 0